com.unitech.stuhfl

## Class STUHFL_T_ST25RU3993_Register

- java.lang.Object
- - com.unitech.stuhflBridge.BR_ST25RU3993_Register
  - - com.unitech.stuhfl.STUHFL_T_ST25RU3993_Register

-     public class STUHFL_T_ST25RU3993_Register
      extends BR_ST25RU3993_Register

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.unitech.stuhflBridge.BR_ST25RU3993_Register

      `BR_ST25RU3993_Register.Fields`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `short` | `addr`
    `byte` | `data` < I Param: Register address

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_ST25RU3993_Register()`
    `STUHFL_T_ST25RU3993_Register(short addr)`
    `STUHFL_T_ST25RU3993_Register(short addr, byte data)`
    `STUHFL_T_ST25RU3993_Register(STUHFL_T_ST25RU3993_Register other)` < I/O Param: Register data

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `STUHFL_E.RET_CODE` | `commit()` Writes to ST25RU3993 register at address addr the value.
    `STUHFL_E.RET_CODE` | `fetch()` Reads one ST25RU3993 register at address and puts the value into the reply to the host.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.unitech.stuhflBridge.BR_ST25RU3993_Register

      `_Get_Register, _Get_RegisterMultiple, _Set_Register, _Set_RegisterMultiple`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### addr

          public short addr

    - #### data

          public byte data

      < I Param: Register address

  - ### Constructor Detail

    - #### STUHFL_T_ST25RU3993_Register

          public STUHFL_T_ST25RU3993_Register(STUHFL_T_ST25RU3993_Register other)

      < I/O Param: Register data

    - #### STUHFL_T_ST25RU3993_Register

          public STUHFL_T_ST25RU3993_Register(short addr,
                                              byte data)

    - #### STUHFL_T_ST25RU3993_Register

          public STUHFL_T_ST25RU3993_Register(short addr)

    - #### STUHFL_T_ST25RU3993_Register

          public STUHFL_T_ST25RU3993_Register()

  - ### Method Detail

    - #### commit

          public STUHFL_E.RET_CODE commit()

      Writes to ST25RU3993 register at address addr the value.\n Or Runs Direct commands if given address addr fits a Direct command code.\n
      Returns:
        error code

    - #### fetch

          public STUHFL_E.RET_CODE fetch()

      Reads one ST25RU3993 register at address and puts the value into the reply to the host.\n
      Returns:
        error code

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`